Use this when an agent wants to create a Marea account on behalf of a user with one round-trip (account + storefront + verification email).
curl --request POST \
--url https://api.mareaalcalina.com/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"displayName": "<string>",
"sourceAgent": "<string>",
"country": "<string>"
}
'import requests
url = "https://api.mareaalcalina.com/v1/users"
payload = {
"email": "jsmith@example.com",
"displayName": "<string>",
"sourceAgent": "<string>",
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
displayName: '<string>',
sourceAgent: '<string>',
country: '<string>'
})
};
fetch('https://api.mareaalcalina.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"userKey": "<string>",
"verificationStatus": "pending",
"verificationExpiresAt": "2023-11-07T05:31:56Z",
"verificationDeliveryHint": "email-only",
"appliedDefaults": {
"language": "es",
"currency": "<string>",
"country": "<string>",
"businessType": "<string>"
},
"storefrontId": "<string>",
"idempotent": true,
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"userId": "<string>",
"userKey": "<string>",
"verificationStatus": "pending",
"verificationExpiresAt": "2023-11-07T05:31:56Z",
"verificationDeliveryHint": "email-only",
"appliedDefaults": {
"language": "es",
"currency": "<string>",
"country": "<string>",
"businessType": "<string>"
},
"storefrontId": "<string>",
"idempotent": true,
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}{
"error": {
"type": "auth",
"code": "missing_authorization",
"message": "<string>",
"doc": "https://docs.mareaalcalina.com/concepts/errors",
"param": "<string>",
"requestId": "req_30a9358b-70bd-44f3-aa5d-8983b558ad84",
"recoverable": true,
"retryAfterMs": 123,
"nextActions": [
{
"label": "Validate the JSON before retrying.",
"method": null,
"url": null
}
],
"upgrade": {
"currentPlan": "free",
"requiredPlan": "pro",
"upgradeUrl": "https://mareaalcalina.com/menus/profile?changePlan=basic&frequency=monthly&planSource=api",
"previewUrl": "<string>"
},
"requiredScopes": [
"<string>"
],
"heldScopes": [
"<string>"
]
}
}API Reference
Use this when an agent wants to create a Marea account on behalf of a user with one round-trip (account + storefront + verification email).
Creates a Firebase Auth user + Firestore user doc + restricted user key + (optionally) a starter storefront via createMenuCore + sends a 6-digit verification email. Returns 201, or 207 when the account was created but the storefront was not fully applied (plan-cap overflow, or the storefront could not be created at all — see errors[]). The account and userKey are returned either way; the userKey is returned ONCE — store it.
POST
/
v1
/
users
Use this when an agent wants to create a Marea account on behalf of a user with one round-trip (account + storefront + verification email).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 200Required string length:
1 - 64Pattern:
^[A-Za-z0-9 _.-]+$Pattern:
^[A-Z]{2}$Available options:
es, en, pt Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLE, SOS, SRD, SSP, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW, ZWL Available options:
Restaurante, Comida a domicilio, Cafetería, Bar, Panadería y Repostería, Alimentos en la despensa, Bebidas Alcohólicas, Bebidas no alcohólicas, Licorería, Carnicería, Minimercado, Tienda de barrio, Moda, Belleza y cuidado personal, Barbería y salón de belleza, Estética y salud, Farmacia, Gimnasio, Joyería, Juguetes, Infantil, Mascotas, Muebles y decoración del hogar, Artículos para el hogar, Mejora del hogar, Electrodomésticos, Electrónicos, Celulares, Consolas y videojuegos, Instrumentos musicales, Herramientas, Artículos de oficina, Deportes, Cultura, Refacciones y autopartes, Taller automotriz, Vehículos, Organización de eventos, Servicios educativos, Servicios profesionales, Agencia de Marketing, Otro Agent-facing storefront input shape (RFC §6.18.1). Every field is PATCHable per §6.18.1.1.
Show child attributes
Show child attributes
Response
Created
Pattern:
^mk_user_Available options:
pending Available options:
email-only Show child attributes
Show child attributes
Pattern:
^stf_Show child attributes
Show child attributes